Skip to main content
GET
/
v1
/
markets
/
{id}
/
trades
Market trade history
curl --request GET \
  --url https://api.polynode.dev/v1/markets/{id}/trades \
  --header 'x-api-key: <api-key>'
{
  "condition_id": "0xca0136d7acc14db3835e40b5d13bc2723ffc7a34a950bef39a2f5a18b07399c3",
  "count": 2,
  "trades": [
    {
      "proxyWallet": "0xc2e7800b5af46e6093872b177b7a5e7f0563be51",
      "name": "beachboy4",
      "side": "BUY",
      "outcome": "Trail Blazers",
      "outcomeIndex": 0,
      "size": 313726.28,
      "price": 0.51,
      "timestamp": 1774050427,
      "title": "Trail Blazers vs. Timberwolves",
      "slug": "nba-por-min-2026-03-20",
      "transactionHash": "0x55135cf4e359b6b53bb99a3bae54d102572268ae4cb816fcf6a648d0116d7f56"
    },
    {
      "proxyWallet": "0xc2e7800b5af46e6093872b177b7a5e7f0563be51",
      "name": "beachboy4",
      "side": "BUY",
      "outcome": "Trail Blazers",
      "outcomeIndex": 0,
      "size": 16827.77,
      "price": 0.5,
      "timestamp": 1774049705,
      "title": "Trail Blazers vs. Timberwolves",
      "slug": "nba-por-min-2026-03-20",
      "transactionHash": "0xfddccf969b857353f047b2540a25175a77fc7d87c4f426cdf3172788cad97a85"
    }
  ]
}

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required

Condition ID (0x-prefixed) or market slug

Query Parameters

user
string

Filter by wallet address(es). Comma-separated for multiple (max 20).

side
enum<string>

Filter by trade direction

Available options:
BUY,
SELL
limit
integer
default:100

Maximum trades to return (default 100, max 500)

Required range: 1 <= x <= 500
offset
integer
default:0

Pagination offset (default 0)

Required range: x >= 0

Response

Market trade history

Trade history for a market.

condition_id
string
required

Market condition ID.

count
integer
required

Number of trades returned.

trades
object[]
required